package fr.mnsi.todo_list.controller;

import java.io.IOException;
import java.util.Date;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import fr.mnsi.todo_list.model.MemTaskManager;
import fr.mnsi.todo_list.model.Task;
import fr.mnsi.todo_list.model.TaskManager;


@WebServlet("/TaskListServlet")
public class TaskListServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
    
        TaskManager tm = (TaskManager) getServletContext().getAttribute("tm");
        if (tm == null) {
            tm = new MemTaskManager();
            getServletContext().setAttribute("tm", tm);
        }

        List<Task> lst = tm.allTasks();
        req.setAttribute("tasks", lst);

        RequestDispatcher rd = req.getRequestDispatcher("/WEB-INF/jsp/main.jsp");
        rd.forward(req, resp);

    }
}
